
import axios from "axios";
import { ElLoading } from 'element-plus'
import {Local}  from '@/utils/storage/storage.js'
import { router } from '@/router'
const ms = useMessage()
const request = axios.create({
	baseURL:import.meta.env.VITE_APP_API_BASE_URL,
	timeout:60 * 60 * 1000
});
let loading
request.interceptors.request.use((config)=>{
	if (config.loading!==false){
		loading=ElLoading.service({
			lock: true,
			text: '加载中',
			background: 'rgba(0, 0, 0, 0.7)',
		})
	}
	config.headers.Authorization =Local.get('token')
	return config;
});
request.interceptors.response.use(async (res)=>{
	// 如果返回401，说明token过期，需要重新登录
	if (res && res.data.code === 401) {
		// 重新登录
		await router.push('/login')
	}
	loading?.close()
	return res.data;
},()=>{
	loading?.close()
});
export default request;
